# Function createSerialOperation

- createSerialOperation<TSerialOperationType, TTable>(params): SerialOperation<TSerialOperationType, TTable>

- #### Type Parameters

  - TSerialOperationType extends SerialOperationType
  - TTable extends
    | "links"
    | "numbers"
    | "strings"
    | "objects"
    | "can"
    | "selectors"
    | "tree"
    | "handlers"

  #### Parameters

  - params: {
    table: TTable;
    type: TSerialOperationType;
    } & SerialOperationDetails<TSerialOperationType, TTable>

  #### Returns SerialOperation<TSerialOperationType, TTable>

  - Defined in work/deeplinks/deeplinks/imports/gql/serial.ts:54